Bug 39604 - Installer crashed with signal 11
Summary: Installer crashed with signal 11
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-08 10:05 UTC by Robert Kane
Modified: 2007-04-18 16:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-20 21:29:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump after install exited abnormally -- received signal 11 (10.55 KB, text/plain)
2001-05-08 10:06 UTC, Robert Kane
no flags Details

Description Robert Kane 2001-05-08 10:05:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Installer exits abnormally with signal 11

How reproducible:
Always

Steps to Reproduce:
1. Boot using "text" install mode
2. Choose Server Install
3. Use disk druid to partition or let installer auto partition
4. Choose packages to install and continue.
5. Set network configuration information (manually set IP address)
6. Instal reads package list then crashes.
	

Additional info:

Comment 1 Robert Kane 2001-05-08 10:06:18 UTC
Created attachment 17667 [details]
Dump after install exited abnormally -- received signal 11

Comment 2 Robert Kane 2001-05-08 10:08:21 UTC
Oops forgot to mention - booted using floppy with "boot.img".  Did not boot 
from CD.

Comment 3 Brent Fox 2001-05-08 14:37:35 UTC
Try booting with 'linux ide=nodma'.  Does that help?

Also, can you look on VC3 and VC4 and see if there are any error messages?

Comment 4 Robert Kane 2001-05-08 16:26:01 UTC
Yes.  I tried "linux ide=nodma" with the exact same results.  I tried nofb, 
text, I tried allowing auto partitioning selecting Server Install, I tried 
manual partitioning using Custom and Server Install.  No matter what method I 
choose, even with ide=nodma, I get a crash, install exited abnormally. Retried 
text mode install again, checking VC3 and 4.  The Virtual consoles display no 
errors or warnings that I can see.  Nothing appears extraordinary there.

Comment 5 Brent Fox 2001-05-08 18:47:55 UTC
Have you checked the md5sums of the CDs to make sure nothing got corrupted
during the download?  You could have a bad cd.

Comment 6 Robert Kane 2001-05-08 19:21:19 UTC
Yes, I just checked the md5sums and they check out.

Comment 7 Brent Fox 2001-05-08 19:31:02 UTC
Jeff, can you look at this?  What does the rpm error: "rpm.error: match tag
missing in new header" mean?



Comment 8 Jeff Johnson 2001-05-08 20:11:14 UTC
That's a python binding error message, occurs in rpmMergeHeaders() which
is the black magic ewt hacked up to fit the installer in <64Mb. I have no clue
what's happening there ...

Comment 9 Need Real Name 2001-05-20 21:29:46 UTC
there is easy workaround for that problem
boot it using default install mode (just press ENTER)
it finally runs in text mode and it doesn't crash like that

Comment 10 Erik Troan 2001-06-28 20:24:04 UTC
Very odd -- it should work identically either way. Nobody else has reported this
though, so I'm not going to worry about it <gulp>.


Note You need to log in before you can comment on or make changes to this bug.